{% extends 'base.html' %}

{% block content %}
<div class="container">
    <div class="table-responsive">
        {% if request.session.peran == 'dokter' %}
        <table class="table">
            <thead>
                <tr>
                    <th scope="col">No</th>
                    <th>NIK</th>
                    <th>Username</th>
                    <th>Faskes</th>
                    <th>Shift</th>
                    <th>Tanggal</th>
                    <th>Rekomendasi</th>
                    <th>Update Appointment</th>
                </tr>
            </thead>
            <tbody>
            {% for jadwal in memeriksa %}
            <tr>
                <form action="{% url 'appointment:update-form' %}" method="POST">
                    {% csrf_token %}
                    <td>{{ forloop.counter }}.</td>
                    <td><input type="hidden" name="nik" value="{{ jadwal.0 }}" readonly></input>{{ jadwal.0 }}</td>
                    <td><input type="hidden" name="username" value="{{ jadwal.2 }}" readonly></input>{{ jadwal.2 }}</td>
                    <td><input type="hidden" name="faskes" value="{{ jadwal.3 }}" readonly></input>{{ jadwal.3 }}</td>
                    <td><input type="hidden" name="shift" value="{{ jadwal.4 }}" readonly></input>{{ jadwal.4 }}</td>
                    <td><input type="hidden" name="tanggal" value="{{ jadwal.5 }}" readonly></input>{{ jadwal.5 }}</td>
                    <td><input type="hidden" name="rekomendasi" value="{{ jadwal.6 }}" readonly></input>{{ jadwal.6 }}</td>
                    <input type="hidden" name="nostr" value="{{ jadwal.1 }}" readonly></input>
                    <td><button type="submit" class="btn btn-outline-primary">Update</button></td>
                </form>
            </tr>
            {% endfor %}
            </tbody>
        </table>

        {% elif request.session.peran == 'pengguna publik' %}
        <table class="table">
            <thead>
                <tr>
                    <th scope="col">No</th>
                    <th>NIK</th>
                    <th>Username</th>
                    <th>Faskes</th>
                    <th>Shift</th>
                    <th>Tanggal</th>
                    <th>Rekomendasi</th>
                </tr>
            </thead>
            <tbody>
            {% for jadwal in memeriksa %}
            <tr>
                <form action="#" method="POST">
                    {% csrf_token %}
                    <td>{{ forloop.counter }}.</td>
                    <td><input type="hidden" name="nik" value="{{ jadwal.0 }}" readonly></input>{{ jadwal.0 }}</td>
                    <td><input type="hidden" name="username" value="{{ jadwal.2 }}" readonly></input>{{ jadwal.2 }}</td>
                    <td><input type="hidden" name="faskes" value="{{ jadwal.3 }}" readonly></input>{{ jadwal.3 }}</td>
                    <td><input type="hidden" name="shift" value="{{ jadwal.4 }}" readonly></input>{{ jadwal.4 }}</td>
                    <td><input type="hidden" name="tanggal" value="{{ jadwal.5 }}" readonly></input>{{ jadwal.5 }}</td>
                    <td><input type="hidden" name="rekomendasi" value="{{ jadwal.6 }}" readonly></input>{{ jadwal.6 }}</td>
                    <input type="hidden" name="nostr" value="{{ jadwal.1 }}" readonly></input>
                </form>
            </tr>
            {% endfor %}
            </tbody>
        </table>

        {% elif request.session.peran == 'admin satgas' %}
        <table class="table">
            <thead>
                <tr>
                    <th scope="col">No</th>
                    <th>NIK</th>
                    <th>Username</th>
                    <th>Faskes</th>
                    <th>Shift</th>
                    <th>Tanggal</th>
                    <th>Rekomendasi</th>
                    <th>Delete Appointment</th>
                </tr>
            </thead>
            <tbody>
            {% for jadwal in memeriksa %}
            <tr>
                <form action="{% url 'appointment:delete' %}" method="POST">
                    {% csrf_token %}
                    <td>{{ forloop.counter }}.</td>
                    <td><input type="hidden" name="nik" value="{{ jadwal.0 }}" readonly></input>{{ jadwal.0 }}</td>
                    <td><input type="hidden" name="username" value="{{ jadwal.2 }}" readonly></input>{{ jadwal.2 }}</td>
                    <td><input type="hidden" name="faskes" value="{{ jadwal.3 }}" readonly></input>{{ jadwal.3 }}</td>
                    <td><input type="hidden" name="shift" value="{{ jadwal.4 }}" readonly></input>{{ jadwal.4 }}</td>
                    <td><input type="hidden" name="tanggal" value="{{ jadwal.5 }}" readonly></input>{{ jadwal.5 }}</td>
                    <td><input type="hidden" name="rekomendasi" value="{{ jadwal.6 }}" readonly></input>{{ jadwal.6 }}</td>
                    <input type="hidden" name="nostr" value="{{ jadwal.1 }}" readonly></input>
                    <td><button type="submit" class="btn btn-outline-danger">Delete</button></td>
                </form>
            </tr>
            {% endfor %}
            </tbody>
        </table>
        {% endif %}
    </div>
</div>
{% endblock content %}